# Get Payment Status

The get\_status endpoint returns the last attempted IPN/callback webhook, regardless of whether it succeeded. It requires that an IPN attempt has been made.

**A POST request has to be made to call for this information.**

URL: <https://widget.swapped.com/api/v1/merchant/get_status>

Request Data:

```json
{
  "order_id": "swapped_order_id",
  "api_key": "your_public_key"
}
```

Response:

{% code overflow="wrap" %}

```json
{
  "success": true,
  "data": {
    "order_id": "swapped_order_id",
    "external_transaction_id": "",
    "external_customer_id": "123456",
    "order_status": "order_broadcasted",
    "order_type": "buy",
    "order_crypto": "LTC",
    "order_crypto_amount": "0.086584360432545",
    "order_crypto_address": "ltc1q2k0xaafhgt3s8qw03wmajjmlc8gcepdy0un0ah",
    "order_crypto_tag": null,
    "order_amount_usd": 9.32,
    "order_amount_usd_plus_fees": 10.02,
    "order_amount_eur": 8.99,
    "order_amount_eur_plus_fees": 9.67,
    "network": "litecoin",
    "transaction_id": "3885ab47b19f0b1b49b722f7de0e2d81e1b0916a21a4718541e876762aaea93f",
    "markup_fiat_value": 0,
    "processing_fee": 2.5
  }
}

```

{% endcode %}

### Response Definition:

* `order_id`: The order ID on Swapped.com.
* `external_transaction_id`: <mark style="color:red;">**DEPRECATED**</mark>
* `external_customer_id`: Your user's ID (If provided in the URL).
* `order_status`: The current status of the order.
* `order_crypto`: The cryptocurrency that was purchased.
* `order_crypto_amount`: The amount of crypto sent.
* `order_crypto_address`: The crypto address the crypto was sent to.
* `order_amount_usd`: The total order amount without fees in USD.
* `order_amount_usd_plus_fees`: The total order amount including fees in USD.
* `order_amount_eur`: The total order amount without fees in EUR.
* `order_amount_eur_plus_fees`: The total order amount including fees in EUR.
* `network`: The network the crypto belongs to.
* `order_status`: The current status of the order.
* `transaction_id`: The transaction ID on the blockchain.
* `markup_fiat_value`: The markup (in fiat) added on top of the base price.
* `processing_fee`: The processing fee (in fiat) charged for the transaction.&#x20;

{% hint style="danger" %}
All <kbd><mark style="color:red;">/merchant/<mark style="color:red;"></kbd> endpoints are subject to a global rate limit of **100 requests per second**. Exceeding this limit may result in throttling.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swapped.com/swapped-ramp/endpoints/misc.-endpoints/get-payment-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
